package physbeans.func;

import physbeans.math.*;
import physbeans.event.*;

/**
 * Applies polynomial function to its input vector.<br>
 */
public class PolynomialFunction extends OneParameterFunction {
  
  /** polynomial to apply to input */
  protected Polynomial p;
  
  /** Creates a new instance of PolynomialFunction */
  public PolynomialFunction() {
    super(-1);
    p = new Polynomial();
  }
  
  public double evaluate(double d) {
    return p.apply(d);
  }
  
  /**
   * gets polynomial to apply to input
   */
  public Polynomial getPolynomial() {
    return this.p;
  }
  
  /**
   * gets polynomial to apply to input
   */
  public void setPolynomial(Polynomial p) {
    this.p = p;
    inform();
  }
  
}
