package physbeans.func;

import physbeans.math.*;

/**
 * Function that multiplies each of its input values with a different gain value.
 */
public class VectorGain extends GenericNdFunction {

  protected DVector gain;

  /**
   * constructs a standard function with 2 inputs and 2 outputs
   */
  public VectorGain() {
    super(2, 2);
    gain = new DVector(1.0, 1.0);
  }

  protected DVector computeFunction(DVector in) {
    int n = in.getDimension();
    DVector out = new DVector(n);

    for (int i = 0; i < n; i++) {
      out.set(i, gain.get(i) * in.get(i));
    }

    return out;
  }

  /**
   * Gets gain vector.
   */
  public DVector getGain() {
    return gain;
  }

  /**
   * Sets gain vector.
   */
  public void setGain(DVector v) {
    gain = v;
    trigger();
  }
}
