package physbeans.inout;

import java.awt.*;
import javax.swing.*;
import java.io.*;
import physbeans.inout.PhysicsPanel;

/**
 * panel that contains the output elements
 */
public class OutputPanel extends PhysicsPanel implements Serializable {
  Color bgColor = new Color(150, 200, 255); // light blue
  
  /**
   * make a new OutputPanel<br>
   * uses BoxLayout<br>
   * sets standard colors
   */

  public OutputPanel(int axis) {
    super();
    setLayout(new BoxLayout(this, axis));
    setBackground(bgColor);
    setForeground(Color.black);
    setOpaque(true);  // sets color for its components
    setBorder(BorderFactory.createEtchedBorder());
  }

  /**
   * default constructor: use vertical layout
   **/
  public OutputPanel() {
    this(BoxLayout.X_AXIS);
  }
}
