package physbeans.model;

import physbeans.math.*;

/**
 * Periodic functions with additional parameter.
 */
public interface PeriodicFunctionWithParameter {
  
  /**
   * Gets vector with function results.
   */
  public DVector getOutputVector();
  
  /**
   * Sets vector with function input values.
   */
  public void setInputVector(DVector v);

  /**
   * Gets the parameter value.
   */
  public double getParameter();
  
  /**
   * Sets the parameter
   */
  public void setParameter(double p);
  
  /**
   * Gets the period T.
   */
  public double getPeriod() ;
  
  /**
   * Sets the period T.
   */
  public void setPeriod(double period) ;
}
